Error: Database?

Discussion in 'iOS Jailbreak & Cydia' started by iFail, Aug 9, 2010.

  1. iFail

    iFail New Member

    Joined:
    Jul 25, 2010
    Messages:
    39
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    When ever I open cydia I get this message:

    Error: Database
    Problem parsing dependency Pre-Depends

    Tried rebooting, reinstalling cydia, ect. No dice.
    Any advice?
  2. Numbah81

    Numbah81 Banned

    Joined:
    Aug 9, 2010
    Messages:
    211
    Likes Received:
    0
    Device:
    iPhone 3GS (White)
    Hi, i had this very same problem for nearly a week, i was advised by another poster on here, i cant remember his name now....

    But here is what he advised. SSH into your device. go to private/var/lib/apt/lists, And delete everything apart from the "Partial" folder, open cydia select changes and then refresh, you should be good to go, it will still give you errors, but at least you will be able to load everything.

    Hope this helps?

    Cheers
  3. iFail

    iFail New Member

    Joined:
    Jul 25, 2010
    Messages:
    39
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Sweet, it worked error free. Thanks man
  4. Punkpat

    Punkpat Member

    Joined:
    Jan 11, 2009
    Messages:
    334
    Likes Received:
    14
    Device:
    iPhone 5S
    i did this and lost almost all my sources, is there a way to get them back?
  5. iThemesAndMore

    iThemesAndMore New Member

    Joined:
    Aug 14, 2010
    Messages:
    104
    Likes Received:
    0
    Reinstall Cydia, its your best bet.
  6. Punkpat

    Punkpat Member

    Joined:
    Jan 11, 2009
    Messages:
    334
    Likes Received:
    14
    Device:
    iPhone 5S
    how would i do that without rejailbreaking?
  7. donkeypunch

    donkeypunch New Member

    Joined:
    Aug 19, 2010
    Messages:
    1
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    hey guys,
    im having the same problem on my cydia but i have it a bit worse...i never dowloaded openSSH and when i go to the package it says cannot locate package... is there any other way i can get to the folder i need to?

Share This Page